Bug 5917 - Switch Koha to use Template::Toolkit
Summary: Switch Koha to use Template::Toolkit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 5462 6085 6155 6156 6158 6159 6160 6162 6167 6168 6170 6171 6179 6182 6184 6186 6187 6188 6189 6192 6195 6200 6202 6203 6207 6208 6212 6213 6214 6215 6216 6221 6222 6229 6230 6232 6234 6239 6245 6246 6247 6248 6249 6250 6251 6257 6258 6295 6300 6306 6338 6340 6347 6353 6357 6364 6365 6368 6374 6388 6395 6397 6408 6415 6417 6426 6446 6461 6462 6463 6465 6468 6472 6497 6527 6543 6577 6587 6589 6649 6665 6743 6766 6834
Blocks: 6263 6522
  Show dependency treegraph
 
Reported: 2011-03-21 06:49 UTC by Chris Cormack
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of opac-user display problem (26.39 KB, application/octet-stream)
2011-03-29 19:48 UTC, Owen Leonard
Details
Follow-up patch (1 of 3) (1.23 KB, patch)
2011-04-10 20:18 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Follow-up patch (2 of 3) (12.20 KB, patch)
2011-04-10 20:19 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Follow-up patch (3 of 3) (8.32 KB, patch)
2011-04-10 20:19 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Additional fixes (5.56 KB, patch)
2011-05-24 19:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Revised for current master (3.35 KB, patch)
2011-06-06 12:27 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-21 06:49:32 UTC

    
Comment 1 Chris Cormack 2011-03-21 06:56:38 UTC
branch is new/enh/bug_5917
Comment 2 Chris Cormack 2011-03-21 07:07:09 UTC
I really really need people to start testing this.
Comment 3 Owen Leonard 2011-03-29 19:39:47 UTC
In the OPAC the main search bar says "Search (in APL only)" even though I have the SearchMyLibraryFirst turned off. "[% IF ( mylibraryfirst ) %]" in masthead.inc seems to be evaluating as true.
Comment 4 Owen Leonard 2011-03-29 19:48:47 UTC
Created attachment 3505 [details]
Screenshot of opac-user display problem

The tabs on opac-user.pl are broken. Also, there is a malformed "fines" column in the checkouts table.
Comment 5 Owen Leonard 2011-03-30 16:22:52 UTC
Comment 3 is unrelated to this bug. See Bug 5988.
Comment 6 Chris Cormack 2011-04-10 10:04:42 UTC
Merged into master, please test and test and test and report and hopefully fix bugs.

You will need to install the Template module, 
sudo apt-get install libtemplate-perl
Comment 7 Jared Camins-Esakov 2011-04-10 20:18:49 UTC
Created attachment 3850 [details] [review]
Follow-up patch (1 of 3)
Comment 8 Jared Camins-Esakov 2011-04-10 20:19:10 UTC
Created attachment 3851 [details] [review]
Follow-up patch (2 of 3)
Comment 9 Jared Camins-Esakov 2011-04-10 20:19:31 UTC
Created attachment 3852 [details] [review]
Follow-up patch (3 of 3)
Comment 10 Jared Camins-Esakov 2011-04-10 20:20:44 UTC
It is not possible to view a list (virtual shelf) in either the OPAC or the staff client since the merging of bug 5917. I'm not sure why.
Comment 11 Liz Rea 2011-04-14 14:41:03 UTC
It seems that since the switch to TT /cgi-bin/koha/reports/guided_reports.pl?phase=Build%20new doesn't work. I cannot create a report, there is no box.
Comment 12 Liz Rea 2011-04-14 14:46:28 UTC
Scratch that last comment: I did it again and it worked fine. Weird.
Comment 13 Owen Leonard 2011-05-24 19:33:12 UTC Comment hidden (obsolete)
Comment 14 Owen Leonard 2011-06-06 12:27:29 UTC
Created attachment 4375 [details] [review]
Revised for current master
Comment 15 Nicole C. Engard 2011-07-21 12:53:01 UTC
Follow up signed off
Comment 16 Ian Walls 2011-07-21 13:31:10 UTC
Latest follow up from Owen passes QA.
Comment 17 Chris Cormack 2011-07-21 20:53:17 UTC
Latest patch pushed